package com.bbd.bpm.util;

import java.util.UUID;

/**
 * 说明
 *
 * @author Bob Ren(Copyright ©2018 Hong Kong Airlines Ltd.)
 * @version v1.0
 * @created 2019/3/10 11:52
 */
public class IdWorker {

    public static String nextId() {
        UUID uuid = UUID.randomUUID();
        String str = uuid.toString();
        // 去掉"-"符号
        return str.substring(0, 8) + str.substring(9, 13) + str.substring(14, 18) + str.substring(19, 23) + str.substring(24);
    }
}
